;このキャラクターのコマンドファイルです。
;MUGEN標準では拡張子は.cmdですが、Windowsに命令するコマンドスクリプトと
;関連付けされているため、誤動作を避ける意味でCommandの頭文字と掛けて
;Cプログラムファイル(.c)に変えてあります。
;
;==============================================================================

;-| ボタン配置 |-----------------------------------------------------
;各ボタンの配置を簡単に変更できます。
;このキャラクターのボタン配置を変えたいときなどに使います。
;x = x を x = a に変えれば、xがaに変わります。

[Remap]
x = x;弱攻撃
y = y;中攻撃
z = z;強攻撃
a = a;特殊行動、超必殺技
b = b;チャージ
c = c;オフェンシブブロック
s = s;挑発

;-| 標準化 |-------------------------------------------------------
[Defaults]
; timeを記述しなかった場合、以下の値が参照されます。最小値は1です。
command.time = 15

; buffer.timeの値です。1～30まで設定できます。
; 普通は1です。
command.buffer.time = 1

;------------------------------------------------------------------------------
;-| キー２回連続入力 |---------------------------------------------------------
[Command]
name = "FF"     ;Common1.cnsに使用されているため、コマンド名を変えるときは注意
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

;------------------------------------------------------------------------------
;-| 方向キー＋ボタン３ |---------------------------------------------------------

[command]
name="Up_zab"
command=/U,z+a+b
time=5

[command]
name="Up_zxy"
command=/U,z+x+y
time=5

[command]
name="Fwd_zab"
command=/$F,z+a+b
time=5

[command]
name="Fwd_zxy"
command=/$F,z+x+y
time=5

[command]
name="Down_zab"
command=/D,z+a+b
time=5

[command]
name="Down_zxy"
command=/D,z+x+y
time=5

[command]
name="Back_zab"
command=/$B,z+a+b
time=5

[command]
name="Back_zxy"
command=/$B,z+x+y
time=5

;------------------------------------------------------------------------------
;-| ボタン３＋方向キー |---------------------------------------------------------

[command]
name="Up_zab"
command=z+a+b,U
time=5

[command]
name="Up_zxy"
command=z+x+y,U
time=5

[command]
name="Fwd_zab"
command=z+a+b,$F
time=5

[command]
name="Fwd_zxy"
command=z+x+y,$F
time=5

[command]
name="Down_zab"
command=z+a+b,D
time=5

[command]
name="Down_zxy"
command=z+x+y,D
time=5

[command]
name="Back_zab"
command=z+a+b,$B
time=5

[command]
name="Back_zxy"
command=z+x+y,$B
time=5

;------------------------------------------------------------------------------
;-| 同時押し３ |-----------------------------------------------------------------

[Command]
name = "zab"
command = a+b+z
time=5

[Command]
name = "zxy"
command = x+y+z
time=5

;------------------------------------------------------------------------------
;-| 方向キー＋ボタン２ |---------------------------------------------------------

[command]
name="Up_zy"
command=/U,z+y
time=5

[command]
name="Up_zx"
command=/U,z+x
time=5

[command]
name="Fwd_zy"
command=/$F,z+y
time=5

[command]
name="Fwd_zx"
command=/$F,z+x
time=5

[command]
name="Down_zy"
command=/D,z+y
time=5

[command]
name="Down_zx"
command=/D,z+x
time=5

[command]
name="Back_zy"
command=/$B,z+y
time=5

[command]
name="Back_zx"
command=/$B,z+x
time=5

;------------------------------------------------------------------------------
;-| ボタン２＋方向キー |---------------------------------------------------------

[command]
name="Up_zy"
command=z+y,U
time=5

[command]
name="Up_zx"
command=z+x,U
time=5

[command]
name="Fwd_zy"
command=z+y,$F
time=5

[command]
name="Fwd_zx"
command=z+x,$F
time=5

[command]
name="Down_zy"
command=z+y,D
time=5

[command]
name="Down_zx"
command=z+x,D
time=5

[command]
name="Back_zy"
command=z+y,$B
time=5

[command]
name="Back_zx"
command=z+x,$B
time=5

;------------------------------------------------------------------------------
;-| 同時押し２ |-----------------------------------------------------------------

[Command]
name = "az"
command = a+z
time=5

[Command]
name = "ax"
command = a+x
time=5

[Command]
name = "ay"
command = a+y
time=5

[Command]
name = "bc"
command = b+c
time=5

[Command]
name = "zy"
command = y+z
time=5

[Command]
name = "zx"
command = x+z
time=5

;------------------------------------------------------------------------------
;-| 方向キー＋ボタン単独 |---------------------------------------------------------

[command]
name="Up_z"
command=/U,z
time=5

[command]
name="Up_y"
command=/U,y
time=5

[command]
name="Up_x"
command=/U,x
time=5

[command]
name="Fwd_z"
command=/$F,z
time=5

[command]
name="Fwd_y"
command=/$F,y
time=5

[command]
name="Fwd_x"
command=/$F,x
time=5

[command]
name="Down_z"
command=/D,z
time=5

[command]
name="Down_y"
command=/D,y
time=5

[command]
name="Down_x"
command=/D,x
time=5

[command]
name="Back_z"
command=/$B,z
time=5

[command]
name="Back_y"
command=/$B,y
time=5

[command]
name="Back_x"
command=/$B,x
time=5

[command]
name="Back_b"
command=/$B,b
time=5

[Command]
name = "Down_a"
command = /D,a
time=5

[Command]
name = "Down_b"
command = /D,b
time=5

;------------------------------------------------------------------------------
;-| ボタン単独＋方向キー |---------------------------------------------------------

[command]
name="Up_z"
command=/z,U
time=5

[command]
name="Up_y"
command=/y,U
time=5

[command]
name="Up_x"
command=/x,U
time=5

[command]
name="Fwd_z"
command=/z,$F
time=5

[command]
name="Fwd_y"
command=/y,$F
time=5

[command]
name="Fwd_x"
command=/x,$F
time=5

[command]
name="Down_z"
command=/z,D
time=5

[command]
name="Down_y"
command=/y,D
time=5

[command]
name="Down_x"
command=/x,D
time=5

[command]
name="Back_z"
command=/z,$B
time=5

[command]
name="Back_y"
command=/y,$B
time=5

[command]
name="Back_x"
command=/x,$B
time=5

[command]
name="Back_b"
command=/b,$B
time=5

[Command]
name = "Down_a"
command = /a,D
time=5

[Command]
name = "Down_b"
command = /b,D
time=5

;------------------------------------------------------------------------------
;-| ボタン押しっぱなし |-------------------------------------------------------
[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_Up"
command = /$U
time = 1

[Command]
name = "hold_Fwd"
command = /$F
time = 1

[Command]
name = "hold_Down"
command = /$D
time = 1

[Command]
name = "hold_Back"
command = /$B
time = 1

;------------------------------------------------------------------------------
;-| ボタン単発 |---------------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "recovery"   ;Common1.cns
command = z
time = 1

[Command]
name = "recovery"   ;Common1.cns
command = y
time = 1

[Command]
name = "recovery"   ;Common1.cns
command = x
time = 1

[Command]
name = "Up"
command = $U
time = 1

[Command]
name = "Fwd"
command = $F
time = 1

[Command]
name = "Down"
command = $D
time = 1

[Command]
name = "Back"
command = $B
time = 1

;------------------------------------------------------------------------------
;-| 方向キー押しっぱなし |-----------------------------------------------------
[Command]
name = "holdfwd"   ;Common1.cnsで使用されている
command = /$F
time = 1

[Command]
name = "holdback"  ;Common1.cns
command = /$B
time = 1

[Command]
name = "holdup"    ;Common1.cns
command = /$U
time = 1

[Command]
name = "holddown"  ;Common1.cns
command = /$D
time = 1

;------------------------------------------------------------------------------
;==============================================================================
[statedef -1];必須項目
;==============================================================================


;---------------------------------------------------------------------------
; AI
;---------------------------------------------------------------------------


[state ctrl_set]
type=ctrlset
triggerall=!ishelper
trigger1=movetype=H
trigger2=movetype=A
trigger3=var(59)!=0
value=0
ignorehitpause=1

[state param_check]
type=null
triggerall=!ishelper
trigger1=1||var(55):=0
trigger1=1||var(56):=0
trigger1=1||fvar(2):=0
trigger1=1||fvar(10):=enemy(0),pos X
trigger1=1||fvar(11):=enemy(0),pos Y
trigger1=1||fvar(12):=ifelse(numenemy=1,-1714,enemy(1),pos X)
trigger1=1||fvar(13):=ifelse(numenemy=1,-1714,enemy(1),pos Y)
trigger1=1||fvar(0):=fvar(10)*fvar(10)+fvar(11)*fvar(11)
trigger1=1||fvar(1):=ifelse((fvar(12)=-1714)&&(fvar(13)=-1714),-1714,fvar(12)*fvar(12)+fvar(13)*fvar(13))
trigger1=0
trigger2=(numexplod(893189726)=0)&&(numexplod(893189727)=0)&&(numexplod(893189728)=0)&&(numexplod(893189729)=0)&&(numexplod(893189730)!=0)
trigger2=1||var(4):=ifelse(fvar(1)=-1714,0,ifelse(fvar(0)<fvar(1),0,1))
trigger2=0
trigger3=(numexplod(893189726)!=0)||(numexplod(893189727)!=0)||(numexplod(893189728)!=0)||(numexplod(893189729)!=0)||(numexplod(893189730)!=0)
trigger3=1||var(57):=ifelse((enemy(var(4)),gethitvar(damage))!=0,5*var(59),0)
trigger3=1||var(58):=ifelse((helper(21030),gethitvar(damage))!=0,5*var(59),0)
trigger3=1||var(7):=var(7)+ifelse((numexplod(893189726)!=0)||(numexplod(893189727)!=0),-1*var(57)+1*var(58),0)
trigger3=1||var(7):=var(7)+ifelse((numexplod(893189728)!=0)||(numexplod(893189729)!=0),-1*var(58)+1*var(57),0)
trigger3=1||var(8):=var(8)+ifelse((numexplod(893189726)!=0),-1*var(57)+1*var(58),0)
trigger3=1||var(8):=var(8)+ifelse((numexplod(893189727)!=0),-1*var(58)+1*var(57),0)
trigger3=1||var(9):=var(9)+ifelse((numexplod(893189728)!=0),-1*var(57)+1*var(58),0)
trigger3=1||var(9):=var(9)+ifelse((numexplod(893189729)!=0),-1*var(58)+1*var(57),0)
trigger3=0
trigger4=(gametime%(66-6*var(59))=0)||(var(59)>=10)
trigger4=1||fvar(14):=(enemy(var(4)),pos X-pos X)*facing+ifelse(random>500,-1*(random%5)*(10-var(59)),(random%5)*(10-var(59)))
trigger4=1||fvar(15):=(enemy(var(4)),pos Y-pos Y)+ifelse(random>500,-1*(random%5)*(10-var(59)),(random%5)*(10-var(59)))
trigger4=0
trigger5=1||fvar(3):=ifelse(numexplod(893189726)!=0,26,fvar(3))
trigger5=1||fvar(3):=ifelse(numexplod(893189727)!=0,27,fvar(3))
trigger5=1||fvar(3):=ifelse(numexplod(893189728)!=0,28,fvar(3))
trigger5=1||fvar(3):=ifelse(numexplod(893189729)!=0,29,fvar(3))
trigger5=1||fvar(6):=ifelse(helper(21030),gethitvar(damage)&&(enemy(var(4)),movecontact=1)&&(fvar(6)<fvar(14))&&(fvar(14)<200),fvar(14),fvar(6))
trigger5=1||fvar(7):=ifelse(helper(21030),gethitvar(damage)&&(enemy(var(4)),movecontact=1)&&(fvar(7)<fvar(15))&&(fvar(15)<200),fvar(15),fvar(7))
trigger5=1||fvar(8):=ifelse(enemy(var(4)),gethitvar(damage)&&(movecontact=1)&&(fvar(8)<fvar(14))&&(fvar(14)<200)&&(anim<1400),fvar(14),fvar(8))
trigger5=1||fvar(9):=ifelse(enemy(var(4)),gethitvar(damage)&&(movecontact=1)&&(fvar(9)<fvar(15))&&(fvar(15)<200)&&(anim<1400),fvar(15),fvar(9))
trigger5=1||fvar(6):=ifelse(fvar(6)>200,200,fvar(6))
trigger5=1||fvar(7):=ifelse(fvar(7)>200,200,fvar(7))
trigger5=1||fvar(8):=ifelse(fvar(8)>200,200,fvar(8))
trigger5=1||fvar(9):=ifelse(fvar(9)>200,200,fvar(9))
trigger5=1||var(48):=ifelse(gametime%(80-5*var(59))=0,enemy(var(4)),anim,var(48))
trigger5=1||var(49):=ifelse((movehit||(enemy(0),gethitvar(damage)))&&(var(49)!=var(48))&&(var(50)!=var(48))&&(var(51)!=var(48)),var(48),var(49))
trigger5=1||var(50):=ifelse((movehit||(enemy(0),gethitvar(damage)))&&(var(49)!=var(48))&&(var(50)!=var(48))&&(var(51)!=var(48)),var(48),var(50))
trigger5=1||var(51):=ifelse((movehit||(enemy(0),gethitvar(damage)))&&(var(49)!=var(48))&&(var(50)!=var(48)),var(48),var(51))
trigger5=1||var(52):=ifelse((movehit||(enemy(1),gethitvar(damage)))&&(var(52)!=var(48))&&(var(53)!=var(48))&&(var(54)!=var(48))&&(numenemy=2),var(48),var(52))
trigger5=1||var(53):=ifelse((movehit||(enemy(1),gethitvar(damage)))&&(var(52)!=var(48))&&(var(53)!=var(48))&&(var(54)!=var(48))&&(numenemy=2),var(48),var(53))
trigger5=1||var(54):=ifelse((movehit||(enemy(1),gethitvar(damage)))&&(var(52)!=var(48))&&(var(53)!=var(48))&&(numenemy=2),var(48),var(54))
trigger5=0
ignorehitpause=1

[state chance_varset]
type=varset
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2
triggerall=random%10<var(59)
triggerall=random%10<var(59)
trigger1=enemy(var(4)),anim=var(49)
trigger2=enemy(var(4)),anim=var(50)
trigger3=enemy(var(4)),anim=var(51)
trigger4=numenemy=2
trigger4=enemy(var(4)),anim=var(52)
trigger5=numenemy=2
trigger5=enemy(var(4)),anim=var(53)
trigger6=numenemy=2
trigger6=enemy(var(4)),anim=var(54)
trigger7=var(21)>=3
trigger7=(enemy(var(4)),stateno=3210)||(enemy(var(4)),stateno=3220)||(enemy(var(4)),stateno=3230)
fvar(2)=55
ignorehitpause=1

[state AI_ctrl]
type=varset
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2
trigger1=(anim=0)||(anim=[10,12])||(anim=[20,21])||(anim=[41,46])||(anim=[61,66])||(anim=[100,102])
var(55)=1
ignorehitpause=1

[state AI_explod01]
type=explod
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2
trigger1=(numexplod(893189726)=0)&&(numexplod(893189727)=0)&&(numexplod(893189728)=0)&&(numexplod(893189729)=0)&&(numexplod(893189730)=0)
anim=21010
ID=893189726+ifelse(random>(500+var(7)),ifelse(random>(500+var(8)),0,1),ifelse(random>(500+var(9)),2,3))
postype=p1
pos=0,0
bindtime=-1
removetime=300
supermovetime = 9999999
pausemovetime = 9999999
ignorehitpause=1

[state AI_explod02]
type=explod
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2
triggerall=(numexplod(893189730)=0)
trigger1=movecontact=1
trigger2=(sysfvar(2)>=1000)
anim=21010
ID=893189730
postype=p1
pos=0,0
bindtime=-1
removetime=-1
supermovetime = 9999999
pausemovetime = 9999999
ignorehitpause=1

[state hit_explod_remove]
type=removeexplod
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2
triggerall=(numexplod(893189730)!=0)
triggerall=(sysfvar(2)<1000)&&(var(2)=0)
trigger1=enemy(var(4)),movetype=I
trigger1=var(55)
trigger2=(numexplod(893189726)=0)&&(numexplod(893189727)=0)&&(numexplod(893189728)=0)&&(numexplod(893189729)=0)
trigger2=helper(21030),gethitvar(damage)>0
ID=893189730
ignorehitpause=1



[state AI_01_combostart_check]
type=varset
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2
triggerall=(numexplod(893189726)!=0)
triggerall=(numexplod(893189730)=0)


trigger1=random>666
trigger1 = statetype != A
trigger1 = 1||var(3):=3
trigger1 = power>=ceil((powermax/5)*var(3))
trigger1 = (var(21)>=3) || (sysfvar(2)>=3000)
trigger1 = fvar(14)=[0,140]
trigger1 = fvar(15)=[-320,100]
trigger1 =1||var(23):=3302

trigger2 = random>500
trigger2 = 1||var(3):=4
trigger2 = power>=ceil((powermax/5)*var(3))
trigger2 = (var(21)>=3) || (sysfvar(2)>=3000)
trigger2 = statetype != A
trigger2=1||var(23):=2406

trigger3 = 1||var(3):=5
trigger3 = power>=ceil((powermax/5)*var(3))
trigger3 = (var(21)>=3) || (sysfvar(2)>=3000)
trigger3 = statetype != A
trigger3=1||var(23):=3304

trigger4 = random>800
trigger4 = 1||var(3):=2
trigger4 = power>=ceil((powermax/5)*var(3))
trigger4 = (var(21)>=2) || (sysfvar(2)>=2000)
trigger4 = statetype != A
trigger4 = fvar(14)=[0,140]
trigger4 = fvar(15)=[-320,100]
trigger4=1||var(23):=3300

trigger5 = random>750
trigger5 = 1||var(3):=2
trigger5 = power>=ceil((powermax/5)*var(3))
trigger5 = (var(21)>=2) || (sysfvar(2)>=2000)
trigger5 = statetype != A
trigger5=1||var(23):=2401

trigger6 = random>666
trigger6 = 1||var(3):=2
trigger6 = power>=ceil((powermax/5)*var(3))
trigger6 = (var(21)>=2) || (sysfvar(2)>=2000)
trigger6 = statetype != A
trigger6 = fvar(14)=[0,100]
trigger6 = fvar(15)=[-100,100]
trigger6=1||var(23):=2301

trigger7 = random>500
trigger7 = 1||var(3):=2
trigger7 = power>=ceil((powermax/5)*var(3))
trigger7 = (var(21)>=2) || (sysfvar(2)>=2000)
trigger7 = statetype != A
trigger7=1||var(23):=2303

trigger8 = 1||var(3):=4
trigger8 = power>=ceil((powermax/5)*var(3))
trigger8 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger8 = statetype != A
trigger8=1||var(23):=2405

trigger9 = random>800
trigger9 = 1||var(3):=1
trigger9 = power>=ceil((powermax/5)*var(3))
trigger9 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger9 = statetype != A
trigger9 = fvar(14)=[0,130]
trigger9 = fvar(15)=[-320,100]
trigger9=1||var(23):=664

trigger10 = random>750
trigger10 = 1||var(3):=1
trigger10 = power>=ceil((powermax/5)*var(3))
trigger10 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger10 = statetype != A
trigger10=1||var(23):=2400

trigger11 = random>666
trigger11 = 1||var(3):=1
trigger11 = power>=ceil((powermax/5)*var(3))
trigger11 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger11 = statetype != A
trigger11 = fvar(14)=[0,100]
trigger11 = fvar(15)=[-100,100]
trigger11=1||var(23):=2300

trigger12 = random>500
trigger12 = 1||var(3):=1
trigger12 = power>=ceil((powermax/5)*var(3))
trigger12 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger12 = statetype != A
trigger12=1||var(23):=2302

trigger13 = 1||var(3):=2
trigger13 = power>=ceil((powermax/5)*var(3))
trigger13 = statetype != A
trigger13=1||var(23):=2404

trigger14 = random>750
trigger14 = statetype != A
trigger14=1||var(23):=1000

trigger15 = random>666
trigger15 = statetype != A
trigger15=1||var(23):=1007

trigger16 = random>500
trigger16 = statetype != A
trigger16=1||var(23):=1009

trigger17 = statetype != A
trigger17=1||var(23):=1200

trigger18 = random>666
trigger18 = (statetype = A)&&(pos Y<-40)
trigger18 = fvar(14)=[0,100]
trigger18 = fvar(15)=[-250,100]
trigger18=1||var(23):=640

trigger19 = random>500
trigger19 = (statetype = A)&&(pos Y<-40)
trigger19 = fvar(14)=[0,115]
trigger19 = fvar(15)=[-100,50]
trigger19=1||var(23):=638

trigger20 = (statetype = A)&&(pos Y<-40)
trigger20=1||var(23):=1500

var(56)=var(23)
ignorehitpause=1



[state AI_02_combostart_check]
type=varset
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2
triggerall=(numexplod(893189727)!=0)
triggerall=(numexplod(893189730)=0)


trigger1=random>750
trigger1=statetype!=A
trigger1 = fvar(14)=[50,130]
trigger1 = fvar(15)=[-100,100]
trigger1=1||var(23):=1007

trigger2=random>666
trigger2=statetype!=A
trigger2 = fvar(14)=[0,50]
trigger2 = fvar(15)=[-50,100]
trigger2=1||var(23):=300

trigger3=random>500
trigger3=statetype!=A
trigger3 = fvar(14)=[0,50]
trigger3 = fvar(15)=[-80,100]
trigger3=1||var(23):=200

trigger4=statetype!=A
trigger4 = fvar(14)=[0,55]
trigger4 = fvar(15)=[-80,100]
trigger4=1||var(23):=800

trigger5=random>750
trigger5=statetype=A
trigger5=fvar(14)=[0,120]
trigger5=fvar(15)>50
trigger5=1||var(23):=639

trigger6=random>666
trigger6=statetype=A
trigger6 = fvar(14)=[0,80]
trigger6 = fvar(15)=[-30,80]
trigger6=1||var(23):=636

trigger7=random>500
trigger7=statetype=A
trigger7 = fvar(14)=[0,135]
trigger7 = fvar(15)=[-30,70]
trigger7=1||var(23):=637

trigger8=statetype=A
trigger8 = fvar(14)=[0,95]
trigger8 = fvar(15)=[-80,100]
trigger8=1||var(23):=900

var(56)=var(23)
ignorehitpause=1



[state AI_03_combostart_check]
type=varset
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2
triggerall=(numexplod(893189728)!=0)
triggerall=(numexplod(893189730)=0)


trigger1 = 1||var(3):=5
trigger1 = power>=ceil((powermax/5)*var(3))
trigger1 = (var(21)>=3) || (sysfvar(2)>=3000)
trigger1 = statetype != A
trigger1 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger1=1||var(23):=3304

trigger2 = 1||var(3):=4
trigger2 = power>=ceil((powermax/5)*var(3))
trigger2 = (var(21)>=3) || (sysfvar(2)>=3000)
trigger2 = statetype != A
trigger2 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger2=1||var(23):=2406

trigger3 = statetype != A
trigger3 = 1||var(3):=3
trigger3 = power>=ceil((powermax/5)*var(3))
trigger3 = (var(21)>=3) || (sysfvar(2)>=3000)
trigger3 = fvar(14)=[0,120]
trigger3 = fvar(15)=[-270,-50]
trigger3 =1||var(23):=3302

trigger4 = random>500
trigger4 = 1||var(3):=2
trigger4 = power>=ceil((powermax/5)*var(3))
trigger4 = (var(21)>=2) || (sysfvar(2)>=2000)
trigger4 = statetype != A
trigger4 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger4=1||var(23):=2401

trigger5 = 1||var(3):=2
trigger5 = power>=ceil((powermax/5)*var(3))
trigger5 = (var(21)>=2) || (sysfvar(2)>=2000)
trigger5 = statetype != A
trigger5 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger5=1||var(23):=2303

trigger6 = random>500
trigger6 = 1||var(3):=1
trigger6 = power>=ceil((powermax/5)*var(3))
trigger6 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger6 = statetype != A
trigger6 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger6=1||var(23):=2400

trigger7 = 1||var(3):=1
trigger7 = power>=ceil((powermax/5)*var(3))
trigger7 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger7 = statetype != A
trigger7 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger7=1||var(23):=2302

trigger8=random%10<var(59)
trigger8 = statetype != A
trigger8 = fvar(14)=[0,150]
trigger8 = fvar(15)=[-100,100]
trigger8 = enemy(var(4)),movetype=A
trigger8=1||var(23):=1009

trigger9 = 1||var(3):=2
trigger9 = power>=ceil((powermax/5)*var(3))
trigger9 = (var(21)>=2) || (sysfvar(2)>=2000)
trigger9 = statetype != A
trigger9 = fvar(14)=[0,120]
trigger9 = fvar(15)=[-270,-50]
trigger9=1||var(23):=3300

trigger10 = 1||var(3):=1
trigger10 = power>=ceil((powermax/5)*var(3))
trigger10 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger10 = statetype != A
trigger10 = fvar(14)=[0,110]
trigger10 = fvar(15)=[-270,-70]
trigger10=1||var(23):=664

trigger11 = 1||var(3):=1
trigger11 = power>=ceil((powermax/5)*var(3))
trigger11 = statetype != A
trigger11 = fvar(14)=[0,90]
trigger11 = fvar(15)=[-230,-70]
trigger11=1||var(23):=661

trigger12=random>500
trigger12 = statetype != A
trigger12 = fvar(14)=[0,80]
trigger12 = fvar(15)=[-200,-70]
trigger12=1||var(23):=660

trigger13 = statetype != A
trigger13 = fvar(14)=[0,105]
trigger13 = fvar(15)=[-130,-70]
trigger13=1||var(23):=302

trigger14 = 1||var(3):=4
trigger14 = power>=ceil((powermax/5)*var(3))
trigger14 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger14 = statetype != A
trigger14=fvar(14)>200
trigger14=fvar(15)=[-100,100]
trigger14 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger14=1||var(23):=2405

trigger15 = 1||var(3):=2
trigger15 = power>=ceil((powermax/5)*var(3))
trigger15 = statetype != A
trigger15=fvar(14)>200
trigger15=fvar(15)=[-100,100]
trigger15 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger15=1||var(23):=2404

trigger16 = statetype != A
trigger16 = fvar(14)=[0,180]
trigger16 = fvar(15)=[-100,100]
trigger16 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger16=1||var(23):=1000

trigger17 = (statetype = A)&&(pos Y<-40)
trigger17=fvar(14)>130
trigger17 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger17=1||var(23):=1500

trigger18=random>500
trigger18 = (statetype = A)&&(pos Y<-40)
trigger18=fvar(14)=[0,70]
trigger18=fvar(15)=[-30,80]
trigger18 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger18=1||var(23):=636

trigger19 = (statetype = A)&&(pos Y<-40)
trigger19 = fvar(14)=[0,85]
trigger19 = fvar(15)=[-30,80]
trigger19 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger19=1||var(23):=900

trigger20=random>500
trigger20 = statetype != A
trigger20=fvar(14)=[0,105]
trigger20=fvar(15)=[-130,100]
trigger20 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger20=1||var(23):=302

trigger21 = statetype != A
trigger21 = fvar(14)=[0,85]
trigger21 = fvar(15)=[-80,100]
trigger21 = (enemy(var(4)),movetype!=I)||(fvar(2)=55)
trigger21=1||var(23):=800

var(56)=var(23)
ignorehitpause=1



[state AI_04_combostart_check]
type=varset
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2
triggerall=(numexplod(893189729)!=0)
triggerall=(numexplod(893189730)=0)


trigger1 = statetype != A
trigger1 = fvar(14)=[0,abs(fvar(6)/2)]
trigger1 = (pos X)*facing < -100
trigger1=1||var(23):=1000

trigger2 = 1||var(3):=1
trigger2 = power<ceil((powermax/5)*var(3))
trigger2 = statetype != A
trigger2 = fvar(14)=[0,abs(fvar(6)/2)]
trigger2 = (pos X)*facing < -100
trigger2=1||var(23):=800

trigger3 = (statetype = A)&&(pos Y<-40)
trigger3 = fvar(14)=[0,abs(fvar(6)/2)]
trigger3 = (pos X)*facing < -100
trigger3=1||var(23):=900

trigger4 = statetype != A
trigger4 = fvar(14)=[0,abs(fvar(6)/2)]
trigger4 = (pos X)*facing > 50
trigger4=1||var(23):=1200

trigger5 = random>500
trigger5 = statetype != A
trigger5 = fvar(14)=[0,90]
trigger5 = fvar(15)=[-50,100]
trigger5=1||var(23):=300

trigger6 = statetype != A
trigger6 = fvar(14)=[0,90]
trigger6 = fvar(15)=[-80,100]
trigger6=1||var(23):=200

trigger7 = random>200
trigger7 = (statetype = A)&&(pos Y<-40)
trigger7 = fvar(14)=[0,95]
trigger7 = fvar(15)=[-50,120]
trigger7=1||var(23):=638

trigger8 = (statetype = A)&&(pos Y<-40)
trigger8 = fvar(14)=[0,95]
trigger8 = fvar(15)=[-50,120]
trigger8=1||var(23):=639

trigger9 = random>500
trigger9 = random>(990-2*var(59))
trigger9 = statetype != A
trigger9 = fvar(14)>90
trigger9 = fvar(15)=[-50,100]
trigger9=1||var(23):=300

trigger10 = random>(990-2*var(59))
trigger10 = statetype != A
trigger10 = fvar(14)>90
trigger10 = fvar(15)=[-80,100]
trigger10=1||var(23):=200

trigger11 = random>200
trigger11 = random>(990-2*var(59))
trigger11 = (statetype = A)&&(pos Y<-40)
trigger11 = fvar(14)>95
trigger11 = fvar(15)=[-50,120]
trigger11=1||var(23):=638

trigger12 = random>(990-2*var(59))
trigger12 = (statetype = A)&&(pos Y<-40)
trigger12 = fvar(14)>95
trigger12 = fvar(15)=[-50,120]
trigger12=1||var(23):=639

var(56)=var(23)
ignorehitpause=1



[state AI_combo_check]
type=varset
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2
triggerall=(numexplod(893189730)!=0)


trigger1 = statetype != A
trigger1 = (anim!=[1001,1005])&&(anim!=1008)&&(anim!=[1011,1013])&&(anim!=[1207,1208])&&(anim!=[201,203])&&(anim!=[301,303])
trigger1 = (anim=200)||(anim=300)||(anim=1502)||(enemy(var(4)),statetype=L)||(enemy(var(4)),statetype=A)||(enemy(var(4)),movetype=H)||(fvar(2)=55)
trigger1 = (movecontact>=(15-var(59)))||((movecontact=0)&&((enemy(var(4)),statetype=L)||(enemy(var(4)),statetype=A)||(enemy(var(4)),movetype=H)||(fvar(2)=55)))
trigger1 = fvar(14)=[0,50]
trigger1 = fvar(15)=[-50,50]
trigger1=1||var(23):=ifelse(random>500,200,300)

trigger2 = statetype != A
trigger2 = (anim!=[1001,1005])&&(anim!=1008)&&(anim!=[1011,1013])&&(anim!=[1207,1208])&&(anim!=[201,203])&&(anim!=[301,303])
trigger2 = (anim=200)||(anim=300)||(anim=1502)
trigger2 = movecontact>=(15-var(59))
trigger2 = movehit=0
trigger2 = random%10<var(59)
trigger2 = fvar(14)=[0,80]
trigger2 = fvar(15)=[-50,50]
trigger2=1||var(23):=800

trigger3 = statetype != A
trigger3 = (anim!=[1001,1005])&&(anim!=1008)&&(anim!=[1011,1013])&&(anim!=[1207,1208])&&(anim!=[201,203])&&(anim!=[301,303])
trigger3 = (anim=200)||(anim=300)||(enemy(var(4)),statetype=L)||(enemy(var(4)),statetype=A)||(enemy(var(4)),movetype=H)||(fvar(2)=55)
trigger3 = movecontact>=(15-var(59))||((movecontact=0)&&((enemy(var(4)),statetype=L)||(enemy(var(4)),statetype=A)||(enemy(var(4)),movetype=H)||(fvar(2)=55)))
trigger3 = fvar(14)=[50,100]
trigger3 = fvar(15)=[-50,50]
trigger3=1||var(23):=ifelse(random>500,201,301)

trigger4 = 1||var(3):=2+ifelse(var(59)>5,1,2)
trigger4 = power<ceil((powermax/5)*var(3))
trigger4 = statetype != A
trigger4 = (anim!=[1001,1005])&&(anim!=1008)&&(anim!=[1011,1013])&&(anim!=[1207,1208])&&(anim!=200)&&(anim!=300)&&(anim!=[202,203])&&(anim!=[302,303])
trigger4 = (anim=201)||(anim=301)
trigger4 = movecontact>=(15-var(59))
trigger4 = movehit=0
trigger4 = random>500
trigger4 = fvar(14)=[0,100]
trigger4 = fvar(15)=[-50,50]
trigger4=1||var(23):=ifelse(random>500,203,302)

trigger5 = 1||var(3):=2+ifelse(var(59)>5,1,2)
trigger5 = power<ceil((powermax/5)*var(3))
trigger5 = statetype != A
trigger5 = (anim!=[1001,1005])&&(anim!=1008)&&(anim!=[1011,1013])&&(anim!=[1207,1208])&&(anim!=200)&&(anim!=300)&&(anim!=[202,203])&&(anim!=[302,303])
trigger5 = (anim=201)||(anim=301)
trigger5 = movecontact>=(15-var(59))
trigger5 = fvar(14)=[0,100]
trigger5 = fvar(15)=[-50,50]
trigger5=1||var(23):=ifelse(random>500,202,303)

trigger6 = 1||var(3):=1
trigger6 = power>=ceil((powermax/5)*var(3))
trigger6 = statetype != A
trigger6 = (anim!=[1001,1005])&&(anim!=1008)&&(anim!=[1011,1013])&&(anim!=[1207,1208])
trigger6 = (anim=[201,203])||(anim=[301,303])
trigger6 = movecontact>=(15-var(59))
trigger6 = fvar(14)=[0,90]
trigger6 = fvar(15)=[-270,-50]
trigger6=1||var(23):=661

trigger7 = statetype != A
trigger7 = (anim!=[1001,1005])&&(anim!=1008)&&(anim!=[1011,1013])&&(anim!=[1207,1208])
trigger7 = (anim=[201,203])||(anim=[301,303])
trigger7 = movecontact>=(15-var(59))
trigger7 = fvar(14)=[0,150]
trigger7 = fvar(15)=[-50,50]
trigger7=1||var(23):=ifelse((random>750),1000,ifelse(random>666,1007,ifelse((random>500)&&(random%10<var(59)),1200,1009)))

trigger8 = statetype != A
trigger8 = (anim!=[1001,1005])&&(anim!=1008)&&(anim!=[1011,1013])&&(anim!=[1207,1208])
trigger8 = (anim=[201,203])||(anim=[301,303])
trigger8 = movecontact>=(15-var(59))
trigger8 = fvar(14)=[0,150]
trigger8 = fvar(15)=[-50,50]
trigger7=1||var(23):=ifelse((random>750),1000,ifelse(random>666,1007,ifelse((random>500)&&(random%10<var(59)),1200,1009)))

trigger9 = random%14<var(59)
trigger9 = 1||var(3):=5
trigger9 = power>=ceil((powermax/5)*var(3))
trigger9 = (var(21)>=3) || (sysfvar(2)>=3000)
trigger9 = statetype != A
trigger9 = (anim=[1001,1005])||(anim=1008)||(anim=1011)||(anim=1013)||(anim=[1207,1208])
trigger9 = movecontact>=(15-var(59))
trigger9=1||var(23):=3304

trigger10 = random%18<var(59)
trigger10 = 1||var(3):=4
trigger10 = power>=ceil((powermax/5)*var(3))
trigger10 = (var(21)>=3) || (sysfvar(2)>=3000)
trigger10 = statetype != A
trigger10 = (anim=[1001,1005])||(anim=1008)||(anim=1011)||(anim=1013)||(anim=[1207,1208])
trigger10 = movecontact>=(15-var(59))
trigger10=1||var(23):=2406

trigger11 = 1||var(3):=3
trigger11 = power>=ceil((powermax/5)*var(3))
trigger11 = (var(21)>=3) || (sysfvar(2)>=3000)
trigger11 = statetype != A
trigger11 = (anim=[1001,1005])||(anim=1008)||(anim=1011)||(anim=1013)||(anim=[1207,1208])
trigger11 = movecontact>=(15-var(59))
trigger11 = fvar(14)=[0,120]
trigger11=1||var(23):=3302

trigger12 = random>500
trigger12 = 1||var(3):=4
trigger12 = power>=ceil((powermax/5)*var(3))
trigger12 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger12 = statetype != A
trigger12 = (anim=[1001,1005])||(anim=1008)||(anim=1011)||(anim=1013)||(anim=[1207,1208])
trigger12 = movecontact>=(15-var(59))
trigger12=1||var(23):=2405

trigger13 = 1||var(3):=2
trigger13 = power>=ceil((powermax/5)*var(3))
trigger13 = (var(21)>=2) || (sysfvar(2)>=2000)
trigger13 = statetype != A
trigger13 = (anim=[1001,1005])||(anim=1008)||(anim=1011)||(anim=1013)||(anim=[1207,1208])
trigger13 = movecontact>=(15-var(59))
trigger13=1||var(23):=ifelse(random>750,2301,ifelse(random>666,2303,ifelse((random>500)&&(fvar(14)=[0,100]),664,2401)))

trigger14 = 1||var(3):=1
trigger14 = power>=ceil((powermax/5)*var(3))
trigger14 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger14 = statetype != A
trigger14 = (anim=[1001,1005])||(anim=1008)||(anim=1011)||(anim=1013)||(anim=[1207,1208])
trigger14 = movecontact>=(15-var(59))
trigger14=1||var(23):=ifelse(random>750,2300,ifelse(random>666,2302,ifelse((random>500)&&(fvar(14)=[0,100]),664,2400)))

trigger15 = 1||var(3):=2
trigger15 = power>=ceil((powermax/5)*var(3))
trigger15 = statetype != A
trigger15 = (anim=[1001,1005])||(anim=1008)||(anim=1011)||(anim=1013)||(anim=[1207,1208])
trigger15 = movecontact>=(15-var(59))
trigger15=1||var(23):=2404

trigger16 = (statetype = A)&&(pos Y<-40)
trigger16 = (anim=[636,637])||(anim=639)||(enemy(var(4)),statetype=L)||(enemy(var(4)),statetype=A)||(enemy(var(4)),movetype=H)||(fvar(2)=55)
trigger16 = (movecontact>=(15-var(59)))
trigger16 = fvar(14)=[0,90]
trigger16 = fvar(15)=[-20,90]
trigger16=1||var(23):=638

var(56)=var(23)
ignorehitpause=1



[state AI_special_check]
type=varset
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2

trigger1 = random>(990-10*var(59))
trigger1 = statetype != A
trigger1 = movecontact=0
trigger1 = fvar(14)>150
trigger1 = 1||var(3):=1
trigger1 = power>ceil((powermax/5)*var(3))
trigger1 = var(21)<3
trigger1 = random%10<var(59)
trigger1 = 1||var(23):=ifelse(var(21)=0,3500,ifelse(var(21)=1,3501,ifelse(var(21)=2,3502,0)))

trigger2 = statetype != A
trigger2 = (movecontact=0) || (sysfvar(2)>=500)
trigger2 = (enemy(var(4)),stateno=3210)||(enemy(var(4)),stateno=3220)||(enemy(var(4)),stateno=3230)||(((enemy(var(4)),statetype=L))&&(fvar(14)>100))
trigger2 = 1||var(3):=1
trigger2 = power>ceil((powermax/5)*var(3))
trigger2 = var(21)<3
trigger2 = random%10<var(59)
trigger2 = 1||var(23):=ifelse(var(21)=0,3500,ifelse(var(21)=1,3501,ifelse(var(21)=2,3502,0)))

trigger3 = random>(990-10*var(59))
trigger3 = statetype != A
trigger3 = movecontact=0
trigger3 = 1||var(3):=5
trigger3 = power<ceil((powermax/5)*var(3))
trigger3 = fvar(14)>150
trigger3 = random%10<var(59)
trigger3 = 1||var(23):=4100

ytigger4 = random>1000-20*var(59)
trigger4 = statetype != A
trigger4 = (enemy(var(4)),stateno=3210)||(enemy(var(4)),stateno=3220)||(enemy(var(4)),stateno=3230)||(((enemy(var(4)),statetype=L))&&(fvar(14)>100))
trigger4 = 1||var(3):=5
trigger4 = power<ceil((powermax/5)*var(3))
trigger4 = random%10<var(59)
trigger4 = 1||var(23):=4100

trigger5 = 1||var(3):=2
trigger5 = power>=ceil((powermax/5)*var(3))
trigger5 = statetype != A
trigger5 = (anim!=[1001,1005])||(anim!=1008)||(anim!=[1011,1013])||(anim!=[1207,1208])||(anim!=[200,203])||(anim!=[300,303])
trigger5 = (enemy(var(4)),statetype=L)||(enemy(var(4)),statetype=A)||(enemy(var(4)),movetype=H)||(fvar(2)=55)
trigger5 = fvar(14)>150
trigger5 = fvar(15)=[-50,50]
trigger5=1||var(23):=2404+ifelse((power>=ceil((powermax/5)*4))&&(var(21)>=1),1,0)

trigger6 = random%14<var(59)
trigger6 = 1||var(3):=5
trigger6 = power>=ceil((powermax/5)*var(3))
trigger6 = (var(21)>=3) || (sysfvar(2)>=3000)
trigger6 = statetype != A
trigger6 = (movecontact>=(15-var(59)))
trigger6 = ((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger6=1||var(23):=3304

trigger7 = random%18<var(59)
trigger7 = 1||var(3):=4
trigger7 = power>=ceil((powermax/5)*var(3))
trigger7 = (var(21)>=3) || (sysfvar(2)>=3000)
trigger7 = statetype != A
trigger7 = (movecontact>=(15-var(59)))
trigger7 = ((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger7=1||var(23):=2406

trigger8 = 1||var(3):=2
trigger8 = power>=ceil((powermax/5)*var(3))
trigger8 = (var(21)>=2) || (sysfvar(2)>=2000)
trigger8 = statetype != A
trigger8 = (movecontact>=(15-var(59)))
trigger8 = ((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger8=1||var(23):=3300+ifelse(((var(21)>=3)||(sysfvar(2)>=3000))&&(power>=ceil((powermax/5)*3)),2,0)

trigger9 = 1||var(3):=1
trigger9 = power>=ceil((powermax/5)*var(3))
trigger9 = (var(21)>=1) || (sysfvar(2)>=1000)
trigger9 = statetype != A
trigger9 = (movecontact>=(15-var(59)))
trigger9 = ((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger9=1||var(23):=2402+ifelse(((var(21)>=2)||(sysfvar(2)>=2000))&&(power>=ceil((powermax/5)*2)),1,0)

trigger10 = 1||var(3):=2
trigger10 = power>=ceil((powermax/5)*var(3))
trigger10 = statetype != A
trigger10 = fvar(14)>150
trigger10 = fvar(15)=[-50,50]
trigger10 = (movecontact>=(15-var(59)))
trigger10 = ((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger10=1||var(23):=2404+ifelse(((var(21)>=1)||(sysfvar(2)>=1000))&&(power>=ceil((powermax/5)*4)),1,0)

var(56)=var(23)
ignorehitpause=1



[state air_posadd_x_AI01]
type=posadd
triggerall=!ishelper
triggerall=pos Y<0
triggerall=(anim=[636,639])||(anim=[41,46])||(anim=[61,66])
triggerall=var(59)!=0
triggerall=random%10<var(59)
triggerall=random%10<var(59)
trigger1 = numexplod(893189730)!=0
trigger1 = ((fvar(8)<=150)&&(fvar(14)>150)) || ((fvar(8)>150)&&(fvar(14)>fvar(8)))
trigger2 = numexplod(893189729)!=0
trigger2 = ((fvar(6)<=100)&&(fvar(14)>100)) || ((fvar(6)>100)&&(fvar(14)>fvar(6)))
trigger3 = numexplod(893189728)!=0
trigger3 = ((fvar(8)<=100)&&(fvar(14)>(100+(20-var(59))))) || ((fvar(8)>100)&&(fvar(14)>(fvar(8)+(20-var(59)))))
trigger4 = numexplod(893189727)!=0
trigger4 = ((fvar(8)<=100)&&(fvar(14)>100)) || ((fvar(8)>100)&&(fvar(14)>fvar(8)))
trigger5 = numexplod(893189726)!=0
trigger5 = ((fvar(8)<=150)&&(fvar(14)>150)) || ((fvar(8)>150)&&(fvar(14)>fvar(8)))
X=5
ignorehitpause=1



[state air_posadd_x_AI02]
type=posadd
triggerall=!ishelper
triggerall=pos Y<0
triggerall=(anim=[636,639])||(anim=[41,46])||(anim=[61,66])
triggerall=var(59)!=0
triggerall=random%10<var(59)
triggerall=random%10<var(59)
trigger1 = numexplod(893189730)!=0
trigger1 = ((fvar(8)<=50)&&(fvar(14)<50)) || ((fvar(8)>50)&&(fvar(14)<fvar(8)))
trigger2 = numexplod(893189729)!=0
trigger2 = ((fvar(6)<=100)&&(fvar(14)<100)) || ((fvar(6)>100)&&(fvar(14)<fvar(6)))
trigger3 = numexplod(893189728)!=0
trigger3 = ((fvar(8)<=100)&&(fvar(14)<(100-(20-var(59))))) || ((fvar(8)>100)&&(fvar(14)<(fvar(8)-(20-var(59)))))
trigger4 = numexplod(893189727)!=0
trigger4 = ((fvar(8)<=50)&&(fvar(14)<50)) || ((fvar(8)>50)&&(fvar(14)<fvar(8)))
trigger5 = numexplod(893189726)!=0
trigger5 = ((fvar(8)<=50)&&(fvar(14)<50)) || ((fvar(8)>50)&&(fvar(14)<fvar(8)))
X=-5
ignorehitpause=1



[state air_veladd_y_AI]
type=velset
triggerall=!ishelper
triggerall=pos Y<0
triggerall=vel Y<20
triggerall=(anim=[636,639])||(anim=[44,46])||(anim=[64,66])
triggerall=var(59)!=0
triggerall=random%10<var(59)
triggerall=random%10<var(59)

trigger1 = numexplod(893189730)!=0
trigger1 = ((fvar(8)<=50)&&(fvar(14)<50)) || ((fvar(8)>50)&&(fvar(14)<fvar(8)))
trigger1 = 0

trigger2 = numexplod(893189729)!=0
trigger2 = ((fvar(6)<=100)&&(fvar(14)<100)) || ((fvar(6)>100)&&(fvar(14)<fvar(6)))
trigger2 = 0

trigger3 = numexplod(893189728)!=0
trigger3 = ((fvar(8)<=100)&&(fvar(14)<(100-(20-var(59))))) || ((fvar(8)>100)&&(fvar(14)<(fvar(8)-(20-var(59)))))
trigger3 = 0

trigger4 = numexplod(893189727)!=0
trigger4 = ((fvar(8)<=50)&&(fvar(14)<50)) || ((fvar(8)>50)&&(fvar(14)<fvar(8)))
trigger4 = 0

trigger5 = numexplod(893189726)!=0
trigger5 = ((fvar(8)<=50)&&(fvar(14)<50)) || ((fvar(8)>50)&&(fvar(14)<fvar(8)))
trigger5 = 0

trigger6=anim=636
trigger6=animelem=4,>=3
trigger6=(fvar(15)<-50)

trigger7=anim=637
trigger7=animelem=7,>=0
trigger7=(fvar(15)<-50)

trigger8=anim=638
trigger8=(fvar(15)<-50)

trigger9=anim=639
trigger9=movecontact!=0
trigger9=(fvar(15)<-50)

Y=20
ignorehitpause=1



[state High_CSAS_AI]
type=selfstate
triggerall=!ishelper
triggerall=var(59)!=0
triggerall=roundstate=2
triggerall=(sysfvar(2)>=1000)||(numexplod(8101082)!=0)||(numexplod(8101081)!=0)

trigger1=random>800
trigger1=((anim=200)&&(animelem=4,>=0))||((anim=300)&&(animelem=4,>=0))
trigger1=statetype!=A
trigger1=1||var(47):=ifelse(random>550,201,ifelse(random>818,800,301))

trigger2=((anim=200)&&(animelem=4,>=0))||((anim=300)&&(animelem=4,>=0))||(anim=0)||(anim=[10,12])||(anim=[20,21])||(anim=[41,46])||(anim=[61,66])||(anim=[100,102])
trigger2=statetype!=A
trigger2=((anim=200)&&(animelem=4,>=0))||((anim=300)&&(animelem=4,>=0))||(random>990)
trigger2=1||var(47):=ifelse(random>500,200,300)

trigger3=((anim=201)&&(animelem=7,>=0))||((anim=301)&&(animelem=7,>=0))
trigger3=statetype!=A
trigger3=1||var(47):=ifelse(random>750,202,ifelse(random>666,203,ifelse(random>500,302,303)))

trigger4=((anim=202)&&(animelem=9,>=0))||((anim=203)&&(animelem=9,>=0))||((anim=302)&&(animelem=7,>=0))||((anim=303)&&(animelem=9,>=0))
trigger4=statetype!=A
trigger4=1||var(47):=ifelse(random>750,1000,ifelse(random>666,1007,ifelse(random>500,1200,1009)))

trigger5=var(21)>=1
trigger5=((anim=[1001,1005])&&(animelem=9,>=0))||((anim=1008)&&(animelem=7,>=0))||((anim=1011)&&(animelem=4,>=0))||((anim=1013)&&(animelem=5,>=0))||((anim=[1207,1208])&&(animelem=5,>=0))
trigger5=statetype!=A
trigger5=1||var(47):=ifelse(random>750,2301,ifelse(random>666,2303,ifelse((random>500)&&(fvar(14)=[0,100]),664,2401)))

trigger6=var(21)>=3
trigger6=((anim=2400)&&(animelem=34,>=0))||((anim=2401)&&(animelem=44,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger6=statetype!=A
trigger6=1||var(47):=ifelse(random>800,3304,ifelse(random>750,2406,ifelse(random>666,3302,ifelse(random>500,2405,2403))))

trigger7=var(21)>=2
trigger7=((anim=2400)&&(animelem=34,>=0))||((anim=2401)&&(animelem=44,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger7=statetype!=A
trigger7=1||var(47):=ifelse(random>666,3300,ifelse(random>500,2405,2403))

trigger8=var(21)>=1
trigger8=((anim=2400)&&(animelem=34,>=0))||((anim=2401)&&(animelem=44,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger8=statetype!=A
trigger8=1||var(47):=ifelse(random>500,2404,2402)

trigger9=random>200
trigger9=(anim=[41,46])||(anim=[61,66])
trigger9=(pos Y<-40) && (fvar(15)=[-60,60])
trigger9=statetype=A
trigger9=1||var(47):=ifelse(random>600,636,ifelse(random>500,1500,ifelse(random>750,638,ifelse(random>666,639,ifelse(random>500,640,637)))))

trigger10=(anim=[41,46])||(anim=[61,66])
trigger10=(pos Y<-40) && (fvar(15)=[-60,60])
trigger10=statetype=A
trigger10=1||var(47):=900

value=931022810
persistant=256
ignorehitpause=1



;---------------------------------------------------------------------------

[state air_posadd_x]
type=posadd
triggerall=!ishelper
triggerall=pos Y<0
triggerall=(ctrl=1)||(anim=[636,639])
triggerall=var(59)=0
trigger1=command="holdfwd"
trigger2=command="holdback"
X=ifelse(command="holdfwd",1,-1)*5
ignorehitpause=1

[state air_veladd_y]
type=velset
triggerall=!ishelper
triggerall=pos Y<0
triggerall=vel Y<20
triggerall=(ctrl=1)||(anim=[636,639])
triggerall=var(59)=0
trigger1=command="Down"
Y=20
ignorehitpause=1

;------------------------------------------------------------------------------
;以下、コマンド成立時の条件記述部
;
;---------------------------------------------------------------------------
; Up
;---------------------------------------------------------------------------

;天上天下天地無用（レベル3）
[state -1, TenjoutengeTenchimuyou]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Up_zxy") || var(56)
triggerall = statetype != A
triggerall = 1||var(3):=3
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=3) || (sysfvar(2)>=3000)
triggerall=1||var(13):=3302
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
trigger5 = ((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger5=1||var(47):=var(13)
value=931022810

;天地無用（レベル3）
[state -1, Tenchimuyou]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Up_zy") || var(56)
triggerall = command != "Up_zxy"
triggerall = 1||var(3):=2
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=2) || (sysfvar(2)>=2000)
triggerall = statetype != A
triggerall=1||var(13):=3300
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
trigger5 = ((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger5=1||var(47):=var(13)
value=931022810

;円天下強
[state -1, 円天下強]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Up_zx") || var(56)
triggerall = command != "Up_zxy"
triggerall = 1||var(3):=1
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=1) || (sysfvar(2)>=1000)
triggerall = statetype != A
triggerall=1||var(13):=664
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4= movecontact && pos Y=0 && anim!=var(13)
trigger4=1||var(47):=var(13)
trigger5 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger5=1||var(47):=var(13)
value=931022810

;円天下中
[state -1, 円天下中]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Up_z") || var(56)
triggerall = command != "Up_zxy"
triggerall = command != "Up_zx"
triggerall = command != "Up_zy"
triggerall = 1||var(3):=1
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = statetype != A
triggerall=1||var(13):=661
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
value=931022810

;円天下弱
[state -1, 円天下弱]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Up_y") || var(56)
triggerall = command != "Up_zxy"
triggerall = command != "Up_zy"
triggerall = statetype != A
triggerall=1||var(13):=660
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
value=931022810

;3強
[state -1, ]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Up_x") || var(56)
triggerall = command != "Up_zxy"
triggerall = command != "Up_zx"
triggerall = statetype != A
triggerall=1||var(13):=302
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim = 201) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim = 301) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = (anim=200) && movecontact
trigger4=1||var(47):=var(13)
trigger5 = (anim=300) && movecontact
trigger5=1||var(47):=var(13)
value=931022810

;---------------------------------------------------------------------------
; fwd
;---------------------------------------------------------------------------

;因果桜砲（レベル3）
[state -1, Ingaohhou]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Fwd_zxy")||(command = "Down_zxy")||(command = "Back_zxy")||var(56)
triggerall = 1||var(3):=4
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=3) || (sysfvar(2)>=3000)
triggerall = statetype != A
triggerall=1||var(13):=2406
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
trigger5 = ((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger5=1||var(47):=var(13)
value=931022810

;裂帛木葉微塵（レベル２）
[state -1, ReppakuKoppamizin]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Fwd_zy") || var(56)
triggerall = 1||var(3):=2
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=2) || (sysfvar(2)>=2000)
triggerall = statetype != A
triggerall=1||var(13):=2401
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
value=931022810

;木葉微塵（レベル２）
[state -1, Koppamizin]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Fwd_zx") || var(56)
triggerall = 1||var(3):=1
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=1) || (sysfvar(2)>=1000)
triggerall = statetype != A
triggerall=1||var(13):=2400
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
value=931022810

;猛打掌
[state -1, 猛打掌]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Fwd_z") || var(56)
triggerall = command != "Fwd_zx"
triggerall = command != "Fwd_zy"
triggerall = statetype != A
triggerall=1||var(13):=1000
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
value=931022810

;心肺掌
[state -1, 心肺掌]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Fwd_y") || var(56)
triggerall = command != "Fwd_zy"
triggerall = statetype != A
triggerall=1||var(13):=1007
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = (anim=[1000,1004]) && movecontact
trigger4=1||var(47):=var(13)
value=931022810

[state -1, 心肺掌二段目]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "y") || var(56)
triggerall = command != "Fwd_zy"
triggerall = statetype != A
triggerall=1||var(13):=1008
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = (anim=1007) && movecontact
trigger1=1||var(47):=var(13)
value=931022810

[state -1, 心肺掌二段目AI]
type=selfstate
triggerall = 1||var(3):=0
triggerall = movecontact!=0
triggerall = statetype != A
triggerall=1||var(13):=1008
triggerall=(var(59)!=0)
trigger1 = (anim=1007)
trigger1=movecontact>=(25-var(59))
trigger1=1||var(47):=var(13)
trigger2 = (anim=1007)&&(animelem=7,>=0)
trigger2=(sysfvar(2)>=1000)||(numexplod(8101082)!=0)||(numexplod(8101081)!=0)
trigger2=1||var(47):=var(13)
value=931022810

;跳び後ろ廻し蹴り
[state -1]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Fwd_x") || var(56)
triggerall = command != "Fwd_zx"
triggerall = statetype != A
triggerall=1||var(13):=203
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=202) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=303) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = (anim=200) && movecontact
trigger4=1||var(47):=var(13)
trigger5 = (anim=300) && movecontact
trigger5=1||var(47):=var(13)
trigger6 = (anim=201) && movecontact
trigger6=1||var(47):=var(13)
trigger7 = (anim=301) && movecontact
trigger7=1||var(47):=var(13)
value=931022810

;空中ホイール
[state -1,]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Fwd_x") || var(56)
triggerall = command != "Fwd_zxy"
triggerall = statetype = A
triggerall=1||var(13):=639
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
value=931022810

;---------------------------------------------------------------------------
; down
;---------------------------------------------------------------------------

;爆裂報復絶濤（レベル１）
[state -1, BakuretsuHouhukuzettoo]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Down_zy") || var(56)
triggerall = 1||var(3):=2
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=2) || (sysfvar(2)>=2000)
triggerall = statetype != A
triggerall=1||var(13):=2403
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1=((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger1=movecontact!=0
trigger1=1||var(47):=var(13)
value=931022810

;報復絶濤（レベル１）
[state -1, Houhukuzettoo]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Down_zx") || var(56)
triggerall = 1||var(3):=1
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=1) || (sysfvar(2)>=1000)
triggerall = statetype != A
triggerall=1||var(13):=2402
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1=((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger1=movecontact!=0
trigger1=1||var(47):=var(13)
value=931022810

;屈強
[state -1, ]
type=selfstate
triggerall = 1||var(3):=0
value=931022810
triggerall = (command = "Down_z") || var(56)
triggerall = command != "Down_zy"
triggerall = command != "Down_zx"
triggerall = statetype != A
triggerall=1||var(13):=303
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim = 301) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim = 201) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = (anim=200) && movecontact
trigger4=1||var(47):=var(13)
trigger5 = (anim=300) && movecontact
trigger5=1||var(47):=var(13)

;屈中
[state -1, ]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Down_y") || var(56)
triggerall = command != "Down_zy"
triggerall = statetype != A
triggerall=1||var(13):=301
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim = 200) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim = 300) && movecontact
trigger3=1||var(47):=var(13)
value=931022810

;落下星

;落下星弱
[state -1, 落下星弱]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Down_y") || var(56)
triggerall = command != "Down_zy"
triggerall = statetype = A
triggerall=1||var(13):=1500
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = (anim=[636,639]) && movecontact
trigger4=1||var(47):=var(13)
value=931022810

;屈弱
[state -1, ]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Down_x") || var(56)
triggerall = command != "Down_zx"
triggerall = statetype != A
triggerall=1||var(13):=300
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim = 200) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim = 300) && movecontact
trigger3=1||var(47):=var(13)
value=931022810

;空中特殊
;ﾃﾞｪｰﾔ!
[state -1, doxue]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Down_x") || var(56)
triggerall = command != "Down_zx"
triggerall = statetype = A
triggerall=1||var(13):=640
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1 = pos y < -30
trigger1=1||var(47):=var(13)
trigger2 = (anim=[636,639]) && movecontact
trigger2 = pos y < -30
trigger2=1||var(47):=var(13)
value=931022810

;---------------------------------------------------------------------------
; back
;---------------------------------------------------------------------------

;滅法滅多矢鱈（レベル１）
[state -1, MeppooMettayatara]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Back_zy") || var(56)
triggerall = 1||var(3):=2
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=2) || (sysfvar(2)>=2000)
triggerall = statetype != A
triggerall=1||var(13):=2301
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
value=931022810

;滅多矢鱈（レベル１）
[state -1, Mettayatara]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Back_zx") || var(56)
triggerall = 1||var(3):=1
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=1) || (sysfvar(2)>=1000)
triggerall = statetype != A
triggerall=1||var(13):=2300
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
value=931022810


;超・鉄拳制裁（レベル2）
[state -1, cho_tekkennseisai]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Back_z") || var(56)
triggerall = command != "Back_zx"
triggerall = command != "Back_zy"
triggerall = 1||var(3):=4
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=1) || (sysfvar(2)>=1000)
triggerall = statetype != A
triggerall=1||var(13):=2405
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
trigger5 = ((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger5=1||var(47):=var(13)
value=931022810


;鉄拳制裁（レベル2）
[state -1, Tekkenseisai]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Back_z") || var(56)
triggerall = command != "Back_zx"
triggerall = command != "Back_zy"
triggerall = 1||var(3):=2
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = statetype != A
triggerall=1||var(13):=2404
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
trigger5 = ((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger5=1||var(47):=var(13)
value=931022810

;火噴掌

;火噴掌待機
[state -1, 火噴掌待機]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Back_y") || var(56)
triggerall = command != "Back_zy"
triggerall = statetype != A
triggerall=1||var(13):=1009
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
value=931022810

;一刀掌

[state -1, 一刀掌バクステ]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "Back_x") || var(56)
triggerall = command != "Back_zx"
triggerall = statetype != A
triggerall=1||var(13):=1200
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
value=931022810

;---------------------------------------------------------------------------
; triple push
;---------------------------------------------------------------------------

;一拳落着（レベルマックス）
[state -1, Ikkenrakutyaku]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "zxy") || var(56)
triggerall = 1||var(3):=5
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=3) || (sysfvar(2)>=3000)
triggerall = statetype != A
triggerall=1||var(13):=3304
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
trigger5 = ((anim=2400)&&(animelem=33,>=0))||((anim=2401)&&(animelem=43,>=0))||((anim=[2302,2303])&&(animelem=5,>=0))||((anim=2301)&&(animelem=75,>=0))||((anim=2300)&&(animelem=64,>=0))||((anim=666)&&(animelem=5,>=0))
trigger5=1||var(47):=var(13)
value=931022810

;---------------------------------------------------------------------------
; double push
;---------------------------------------------------------------------------

;疾風迅雷（レベル１）
[state -1, Shippuuzinrai]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "zy") || var(56)
triggerall = command != "zxy"
triggerall = 1||var(3):=2
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=2) || (sysfvar(2)>=2000)
triggerall = statetype != A
triggerall=1||var(13):=2303
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
value=931022810

;電光石火（レベル１）
[state -1, Denkoosekka]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "zx") || var(56)
triggerall = command != "zxy"
triggerall = 1||var(3):=1
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = (var(21)>=1) || (sysfvar(2)>=1000)
triggerall = statetype != A
triggerall=1||var(13):=2302
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim=[200,203]) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim=[300,303]) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = ((anim=[1001,1005])||(anim=1008)||(anim=[1011,1013])||(anim=[1207,1208])) && movecontact
trigger4=1||var(47):=var(13)
value=931022810

;---------------------------------------------------------------------------

;ラン
[state -1, Run Fwd]
type=selfstate
triggerall = 1||var(3):=0
triggerall = command = "FF"
triggerall = statetype = S
trigger1 = ctrl || var(55)
trigger1=anim!=102
trigger1=1||var(47):=102
value=931022810

;バックステップ
[state -1, Back Step]
type=selfstate
triggerall = 1||var(3):=0
triggerall = command = "BB"
triggerall = statetype = S
trigger1 = ctrl || var(55)
trigger1=anim!=105
trigger1=1||var(47):=105
value=931022810

;---------------------------------------------------------------------------
; single push
;---------------------------------------------------------------------------

;空中投げ
[state -1, ショウダウン]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "c") || var(56)
triggerall = statetype = A
triggerall=1||var(13):=900
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim = 200) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim = 300) && movecontact
trigger3=1||var(47):=var(13)
value=931022810

;前投げ
[state -1, パチキ]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "c") || var(56)
triggerall = statetype = S
triggerall=1||var(13):=800
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim = 200) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim = 300) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = (anim = 1502) && movecontact
trigger4=1||var(47):=var(13)
value=931022810

;ディゾルブ三回目
[state -1, Taunt]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "a") || var(56)
triggerall = 1||var(3):=1
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = statetype != A
triggerall = var(21) = 2
triggerall=1||var(13):=3502
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
value=931022810

;ディゾルブ二回目
[state -1, Taunt]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "a") || var(56)
triggerall = 1||var(3):=1
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = statetype != A
triggerall = var(21) = 1
triggerall=1||var(13):=3501
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
value=931022810

;ディゾルブ一回目
[state -1, Taunt]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "a") || var(56)
triggerall = 1||var(3):=1
triggerall = power>=ceil((powermax/5)*var(3))
triggerall = statetype != A
triggerall = var(21) = 0
triggerall=1||var(13):=3500
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
value=931022810

;チャージ

[state -1,チャージ]
type=selfstate
triggerall = 1||var(3):=0
triggerall = power<powermax
triggerall = (command = "hold_b") || var(56)
triggerall = statetype != A
triggerall=1||var(13):=4100
triggerall=anim!=4100
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
value=931022810

;空中強
[state -1,]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "z") || var(56)
triggerall = command != "zxy"
triggerall = statetype = A
triggerall=1||var(13):=638
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = anim = 636 && movecontact
trigger2=1||var(47):=var(13)
trigger3 = anim = 637 && movecontact
trigger3=1||var(47):=var(13)
trigger4 = anim = 639 && movecontact
trigger4=1||var(47):=var(13)
value=931022810

;空中中
[state -1, ]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "y") || var(56)
triggerall = command != "zxy"
triggerall = statetype = A
triggerall=1||var(13):=637
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = anim = 636 && movecontact
trigger2=1||var(47):=var(13)
trigger3 = anim = 639 && movecontact
trigger3=1||var(47):=var(13)
value=931022810

;空中弱
[state -1,]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "x") || var(56)
triggerall = command != "zxy"
triggerall = statetype = A
triggerall=1||var(13):=636
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = anim = 636 && movecontact
trigger2=1||var(47):=var(13)
value=931022810

;立ち強
[state -1]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "z") || (var(59)!=0)
triggerall = command != "zxy" || (var(59)!=0)
triggerall = command != "zy" || (var(59)!=0)
triggerall = command != "zx" || (var(59)!=0)
triggerall = statetype != A
triggerall=1||var(13):=202
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim = 201) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim = 301) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = (anim=200) && movecontact
trigger4=1||var(47):=var(13)
trigger5 = (anim=300) && movecontact
trigger5=1||var(47):=var(13)
value=931022810

;立ち中
[state -1]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "y") || (var(59)!=0)
triggerall = command != "zxy" || (var(59)!=0)
triggerall = command != "zy" || (var(59)!=0)
triggerall = statetype != A
triggerall=1||var(13):=201
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim = 200) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim = 300) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = (anim = 1502) && movecontact
trigger4=1||var(47):=var(13)
value=931022810

;立ち弱
[state -1]
type=selfstate
triggerall = 1||var(3):=0
triggerall = (command = "x") || (var(59)!=0)
triggerall = command != "zxy" || (var(59)!=0)
triggerall = command != "zx" || (var(59)!=0)
triggerall = statetype != A
triggerall=1||var(13):=200
triggerall=(var(59)=0)||(var(56)=var(13))
trigger1 = ctrl || var(55)
trigger1=1||var(47):=var(13)
trigger2 = (anim = 200) && movecontact
trigger2=1||var(47):=var(13)
trigger3 = (anim = 300) && movecontact
trigger3=1||var(47):=var(13)
trigger4 = (anim = 1502) && movecontact
trigger4=1||var(47):=var(13)
value=931022810